#ifndef BCODETERMINAL_H
#define BCODETERMINAL_H

#include <QObject>

#include "device/DeviceBase.h"

class BCodeTerminal : public DeviceBase
{
    Q_OBJECT
public:
    explicit BCodeTerminal(QObject *parent = nullptr);
    ~BCodeTerminal();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);
};

#endif // BCODETERMINAL_H
